> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Hris Expense

> Adds a line item to a draft/rejected/info-requested report, resolving FX rate and recalculating totals.

Not available to API keys yet. It will need `expenses:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-hris-expense
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-hris-expense:
    post:
      operationId: createHrisExpense
      summary: Create Hris Expense
      description: >-
        Adds a line item to a draft/rejected/info-requested report, resolving FX
        rate and recalculating totals.


        Not available to API keys yet. It will need `expenses:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateHrisExpenseRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateHrisExpenseResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateHrisExpenseRequest:
      type: object
      properties:
        roleInOrgID:
          type: string
          format: uuid
        hrisExpenseReportID:
          type: string
          format: uuid
        merchant:
          type: string
          minLength: 1
          maxLength: 100
        description:
          type: string
          description: >-
            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
        hrisExpenseCategoryID:
          type: string
          format: uuid
        expensedDate:
          type: string
          format: date-time
        amountSpent:
          oneOf:
            - type: string
              minLength: 1
            - {}
            - type: number
          description: >-
            NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still
            checks it
        currencySpentID:
          type: string
          format: uuid
        amountInExpenseCurrency:
          oneOf:
            - type: string
              minLength: 1
            - {}
            - type: number
          description: >-
            NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still
            checks it
        expensedCurrencyID:
          type: string
          format: uuid
        exchangeRateFromCurrencySpentToExpense:
          oneOf:
            - type: string
              minLength: 1
            - {}
            - type: number
          description: >-
            NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still
            checks it
        spentAmount:
          oneOf:
            - type: string
              minLength: 1
            - {}
            - type: number
          description: >-
            NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still
            checks it
        spentCurrencyID:
          type: string
          format: uuid
        reimbursableAmount:
          oneOf:
            - type: string
              minLength: 1
            - {}
            - type: number
          description: >-
            NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still
            checks it
        reimbursementCurrencyID:
          type: string
          format: uuid
        fxRate:
          oneOf:
            - type: string
              minLength: 1
            - {}
            - type: number
          description: >-
            NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still
            checks it
        isReimbursable:
          type: boolean
        fileIDs:
          type: array
          items:
            type: string
            format: uuid
          maxItems: 20
      required:
        - merchant
        - expensedDate
    CreateHrisExpenseResponse:
      type: object
      properties:
        hrisExpenseID:
          type: string
      required:
        - hrisExpenseID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
